<?php
  /**************************************************************************\
  * phpGroupWare - Setup                                                     *
  * http://www.phpgroupware.org                                              *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /**************************************************************************\
  * This file should be generated for you. It should never be edited by hand *
  \**************************************************************************/

  /* $Id: tables_current.inc.php 12131 2003-03-25 22:55:28Z  $ */

  // table array for dj
	$phpgw_baseline = array(
		'phpgw_dj_que' => array(
			'fd' => array(
				'que_id' => array('type' => 'auto','nullable' => False),
				'que_song' => array('type' => 'varchar', 'precision' => 255,'nullable' => True)
			),
			'pk' => array('que_id'),
			'fk' => array(),
			'ix' => array(),
			'uc' => array()
		),
		'phpgw_dj_directories' => array(
			'fd' => array(
				'dir_id' => array('type' => 'auto','nullable' => False),
				'dir_name' => array('type' => 'varchar', 'precision' => 255,'nullable' => True)
			),
			'pk' => array('dir_id'),
			'fk' => array(),
			'ix' => array(),
			'uc' => array()
		),
		'phpgw_dj_songlist' => array(
			'fd' => array(
				'song_id' => array('type' => 'auto','nullable' => False),
				'song_name' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_title' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_artist' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_album' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_year' => array('type' => 'char', 'precision' => 4,'nullable' => True),
				'song_comment' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_genre' => array('type' => 'varchar', 'precision' => 64,'nullable' => True),
				'song_size' => array('type' => 'varchar', 'precision' => 32,'nullable' => True),
				'song_length' => array('type' => 'varchar', 'precision' => 64,'nullable' => True),
				'song_bitsize' => array('type' => 'int', 'precision' => 4,'nullable' => True),
				'song_samplerate' => array('type' => 'int', 'precision' => 4,'nullable' => True),
				'song_frames' => array('type' => 'int', 'precision' => 4,'nullable' => True),
				'song_emphasis' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_cmode' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_version' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_layer' => array('type' => 'varchar', 'precision' => 10,'nullable' => True),
				'song_crc' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_copyright' => array('type' => 'char', 'precision' => 4,'nullable' => True),
				'song_original' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'song_status' => array('type' => 'char', 'precision' => 2,'nullable' => True),
				'song_cycle_status' => array('type' => 'char', 'precision' => 1,'nullable' => True),
				'export' => array('type' => 'int', 'precision' => 2,'nullable' => True)
			),
			'pk' => array('song_id'),
			'fk' => array(),
			'ix' => array(),
			'uc' => array()
		),
		'phpgw_dj_shows' => array(
			'fd' => array(
				'show_id' => array('type' => 'auto','nullable' => False),
				'show_name' => array('type' => 'varchar', 'precision' => 255,'nullable' => True),
				'show_data' => array('type' => 'text','nullable' => True),
				'show_owner' => array('type' => 'int', 'precision' => 4,'nullable' => True)
			),
			'pk' => array('show_id'),
			'fk' => array(),
			'ix' => array(),
			'uc' => array()
		)
	);
?>
